%global pypi_name pytest-shutil

%bcond_without  tests

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 2
Summary:        A goodie-bag of unix shell and environment tools for py.test
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-shutil/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-contextlib2
BuildRequires:  python3-termcolor
%endif

%description
This library is a goodie-bag of Unix shell and 
environment management tools for automated tests.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Recommends:     python3dist(termcolor)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library is a goodie-bag of Unix shell and 
environment management tools for automated tests.

%prep
%autosetup -p2 -n %{pypi_name}-%{version}

sed -i \
    -e "/'contextlib2'/d" \
    -e "/'termcolor'/d" \
    -e "s/'path.py'/'path'/" \
    setup.py

# This is not needed when building from the sdist
sed -i -e '/setuptools-git/d' common_setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_shutil

%check
%pyproject_check_import
%{?with_tests:%pytest}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGES.md


%changelog
* Sun Mar 02 2025 wally <wally> 1.8.1-2.mga10
+ Revision: 2158501
- rebuild for python3.13

* Sun Dec 15 2024 papoteur <papoteur> 1.8.1-1.mga10
+ Revision: 2125324
- new version 1.8.1

* Sun Feb 25 2024 daviddavid <daviddavid> 1.7.0-6.mga10
+ Revision: 2044157
- backport upstream patch to replace deprecated imp module
- switch to pyproject
+ wally <wally>
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.7.0-5.mga9
+ Revision: 1833238
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.7.0-4.mga9
+ Revision: 1778173
- rebuild for python-3.10

* Thu Apr 01 2021 guillomovitch <guillomovitch> 1.7.0-3.mga9
+ Revision: 1712343
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-2.mga9
+ Revision: 1701613
- fix dependencies

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1701604
- imported package python-pytest-shutil

